Subject: Re: bug#31901: Incorrect make-network-process + nowait state handling for non-existing unix sockets in emacs-26.1

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jul 2018 17:11:43 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 22 Jul 2018 13:40:51 +0200
> 
> OK, I've now fixed the async error case (on master), I think:
> 
>   (process-live-p socket)
>   nil
>   (process-status socket)
>   file-missing

Thanks!

> I've fixed this on master, because I'm not 100% sure that my fix is
> completely correct.  Should we perhaps also call a sentinel in the async
> error case?

But we didn't call the sentinel before, did we?

> But we should, in any case, perhaps cherry-pick this fix into Emacs
> 26.2.

It looks like the only visible change in behavior is that we now store
the error in the process object, is that right?  If so, I think we
want this on emacs-26, yes.